#!/bin/bash

set -e

# 32 or 64-bit (AMD vs ARM)
MACHINE_TYPE=`uname -m`
# 64-bit
if [ ${MACHINE_TYPE} == 'x86_64' ]; then
	cp redline13_mapapi_server /usr/sbin/redline13_mapapi_server
elif [ ${MACHINE_TYPE} == 'aarch64' ]; then
	cp redline13_mapapi_server_arm /usr/sbin/redline13_mapapi_server
# 32-bit
else
	cp redline13_mapapi_server_x86 /usr/sbin/redline13_mapapi_server
fi

# Set up log file
mkdir -p /var/log/redline13-mapapi-server

# Copy sample INI file
mkdir -p /etc/redline13-mapapi-server
if [ -f /etc/redline13-mapapi-server/redline13_mapapi_server.ini ]; then
	cp /etc/redline13-mapapi-server/redline13_mapapi_server.ini /etc/redline13-mapapi-server/redline13_mapapi_server.ini.save
fi
cp redline13_mapapi_server.sample.ini /etc/redline13-mapapi-server/redline13_mapapi_server.ini

# Set up chkconfig
cp redline13-mapapi-daemon /etc/init.d/redline13-mapapi-daemon
chkconfig --add redline13-mapapi-daemon
chkconfig redline13-mapapi-daemon on

# Instructions
echo "Please update /etc/redline13-mapapi-server/redline13_mapapi_server.ini with your map ID and key."
echo "Then run:"
echo "sudo service redline13-mapapi-daemon start"
